Jump to content

All Activity

This stream auto-updates

  1. Past hour
  2. Of course, this is a routine that the user can choose a color. That's not wat I want. Select objects and update the color in color code 1.
  3. Today
  4. Yesterday
  5. Did you do this ? Customer support admir@aolovciceng.com
  6. Try this copy to command line. It should be language independent. (setvar 'angdir 0) (setvar 'angbase 0)
  7. Missing a space here *file* "C:
  8. What error message do you receive? I would suggest turning on command line logging and then inspect the command line logs for the processed drawings, so that you can understand where the script is failing and adjust the script line accordingly.
  9. Other that the variables BIGAL mentioned default Text angle is the last text angle used in the drawing which isn't stored anywhere. You could also be in a rotated view or UCS.
  10. Hi, here is my newer version for this kind of job... Regards, M.R. lengths_along_pipe_trees.lsp IDEA Network Topology-new-reza-all-lengths.dwg
  11. On autocad in Italian I do not find these variables. I probably need to find the correct translation, but I can't find it ... I insert some pictures of the problem ...
  12. I modified mine to toggle groups but also indicates the status at the command line with either <Group on> or <Group off>. Was the default 25 years ago, not sure why they changed it. https://www.cadtutor.net/forum/topic/550-contribute-a-tip-become-famous/page/17/#comment-567790
  13. Hi all, Recently , I working with dimention for 3D object. i can dimmention it, however it will time to setup . I find an app in autodesk store that can help me, but now it Compatible with 2021 and lower version. So someone can help me a lisp can working with 2022 or higher. This is link app in autodesk store . https://apps.autodesk.com/ACD/en/Detail/Index?id=3107263986115458505&appLang=en&os=Win32_64 Thank you !
  14. Hi @katto01 Reading the dwg I found arcs not circles as you wrote in your message, so you can try to use the below code specific for arc object. In the same way with <OR> and <AND> function changing the dxf code "Arc" with another object type you can found all objects into the drawing. Public Sub ArcDetail() Dim oSS As AcadSelectionSet Dim oArc As AcadArc Dim iFilterCode(0) As Integer Dim vFilterValue(0) As Variant On Error Resume Next Application.ActiveDocument.SelectionSets("Arcs").Delete On Error GoTo 0 Set oSS = Application.ActiveDocument.SelectionSets.Add("Arcs") iFilterCode(0) = 0: vFilterValue(0) = "Arc" oSS.SelectOnScreen iFilterCode, vFilterValue If oSS.Count Then For Each oArc In oSS With oArc MsgBox "StartPoint: " & .StartPoint(0) & ", " & .StartPoint(1) & ", " & .StartPoint(2) & vbCrLf & _ "EndPoint : " & .EndPoint(0) & ", " & .EndPoint(1) & ", " & .EndPoint(2) End With
  15. I created lisp. Automatically generates a .dsd file and calls it from accoreconsole. The user can publish layouts to individual pdf files or one single multisheet file. Once accoreconsole launches the publish job, the user can move on to doing additional work. Primarily used Lee Mac's code and accoreconsole. SuperPublish.lsp
  16. There is 2 variables Angdir for Clockwise or Anti CW and Angbase is angle direction for zero, try 0 for both.
  17. Does it works for elements in blocks and attributes? Did you try it ?
  18. External fonts like Flux_arch as a TTF need to be loaded into Windows, Fonts so can be found, not actually into ACAD. I am not sure of the procedure for a Maca quick search looks like same for windows. So make sure they have a copy of Flux_arch.TTF and install it.
  19. BIGAL

    Perpetual License

    Did you google lots of discussions about this.
  20. Like ronjonp its an Array answer and can be done very easy, just enter X & Y spacing and a edge rule min gap. A lisp is required or get your calculator out, a pen and paper will be required. Will it always be circles ?
  21. Something like this maybe ;;;===================================================================; ;;; DumpIt ; ;;;-------------------------------------------------------------------; ;;; Dump all methods and properties for selected objects ; ;;;===================================================================; (defun C:Dumpit ( / ent) (while (setq ent (entsel)) (vlax-Dump-Object (vlax-Ename->Vla-Object (car ent)) ) ) (princ) ) Or (entget (car (entsel "\nPick object"))) Oh yeah text file is missing a P at start.
  22. This is a way of doing it be in paperspace draw say a vertical or horizontal line from an object point. Crossing second viewport. Do move, select 2nd viewport, pick object pt in mspace but stay in paperspace, use Perp option to line the view port will be lined up now can adjust viewport edges using same technique.
  23. Last week
  24. mhupp

    Revit Text Plotting Different Size

    If these are not default fonts might want to give this a try. https://youtu.be/wQCE7oPfKPM?t=122 --edit if that not the case try this. https://knowledge.autodesk.com/support/revit/troubleshooting/caas/sfdcarticles/sfdcarticles/Revit-Windows-10-Text-size-and-boxes-appear-larger-in-print-preview-and-prints.html
  25. resullins

    Revit Text Plotting Different Size

    Apparently it's doing it EVERYWHERE even in properly scaled views? I've printed these before with no issue.... WTH?
  26. Hi all! Me again... the person that still hates Revit. I have some title/legends pages created in Revit where everything is basically annotations and lines. I realize this isn't the ideal way to do things, but for what I needed right now, it was the best way. So, I have some text notes that look correct in Revit, but when they print, they print at a NOTICABLY smaller font size. Almost everything I can find online tells me to check my monitor resolution <eyeroll> which is CLEARLY not the problem. The text style I have is supposed to print at 3/32", and since this isn't in a "view", there's obviously no scale on the page. Anything? First picture is what it's supposed to look like, second is how it prints.
  27. Found this lisp and this is what I looked for! Tahnks guys! HAve only one more thing to do. After using code it is replacing diameter ∅ symbol Ř. It is possible maybe to add to code to replace Ř to %%c after unformat or ∅ to %%c before unformat? Tried but without luck...
  28. 1.Batch Detach All Old Xref's using Script Writer WSCRIPT > Use script line: _.open *file* _.xref _D * _.zoom _E _.qsave _.close(i tried also this one.it does not works for me) this script line is not working for me.can anyone help me? _.open *file*"C:\Users\thajmul hussain\desktop\fais\try\Template.dwg" _.xref _D
  1. Load more activity
×
×
  • Create New...